## org.apache.commons.math.optimization.fitting
Interface ParametricRealFunction

All Known Implementing Classes:
  HarmonicFitter.ParametricHarmonicFunction, PolynomialFitter.ParametricPolynomial

    public interface ParametricRealFunction

An interface representing a real function that depends on one independent variable plus some extra parameters.

Version:
  $Revision: 811786 $ $Date: 2009-09-06 05:36:08 -0400 (Sun, 06 Sep 2009) $

Method Summary
`double[]` `gradient(double x, double[] parameters)` Compute the gradient of the function with respect to its parameters.
`double` `value(double x, double[] parameters)` Compute the value of the function.

Method Detail

### value

    double value(double x,
                 double[] parameters)
                 throws FunctionEvaluationException

  Compute the value of the function.

  Parameters:
    `x` - the point for which the function value should be computed
    `parameters` - function parameters
  Returns:
    the value
  Throws:
    `FunctionEvaluationException` - if the function evaluation fails

### gradient

    double[] gradient(double x,
                      double[] parameters)
                      throws FunctionEvaluationException

  Compute the gradient of the function with respect to its parameters.

  Parameters:
    `x` - the point for which the function value should be computed
    `parameters` - function parameters
  Returns:
    the value
  Throws:
    `FunctionEvaluationException` - if the function evaluation fails

Copyright (c) 2003-2011 Apache Software Foundation